# Cible de type "variable"

Une cible peut être de type famille :

```xml
<target type="family">my_family</target>
```

En YAML :

```yml
target:
- type: family
  text: my_family
```

Mais une target peut être optionnelle. C'est à dire que si la famille n'existe pas, l'action ne sera pas associé à cette famille.

```xml
<target type="family" optional="True">my_family</target>
```

En YAML :

```yml
target:
- type: family
  optional: true
  text: my_family
```
