from importlib.machinery import SourceFileLoader as _SourceFileLoader
from importlib.util import spec_from_loader as _spec_from_loader, module_from_spec as _module_from_spec
class func:
    pass

def _load_functions(path):
    global _SourceFileLoader, _spec_from_loader, _module_from_spec, func
    loader = _SourceFileLoader('func', path)
    spec = _spec_from_loader(loader.name, loader)
    func_ = _module_from_spec(spec)
    loader.exec_module(func_)
    for function in dir(func_):
        if function.startswith('_'):
            continue
        setattr(func, function, getattr(func_, function))
_load_functions('tests/dictionaries/../eosfunc/test.py')
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_1 = FilenameOption(name="file_name", doc="file_name", multi=True, default=['/etc/mailname', '/etc/mailname2'], default_multi="/etc/mailname", properties=frozenset({"mandatory", "normal"}))
option_2 = FilenameOption(name="file_name2", doc="file_name2", multi=True, default=['/etc/mailname3', '/etc/mailname4'], default_multi="/etc/mailname3", properties=frozenset({"mandatory", "normal"}))
option_3 = StrOption(name="var", doc="var", multi=True, default=['mailname', 'mailname2'], default_multi="mailname", properties=frozenset({"mandatory", "normal"}))
optiondescription_17 = OptionDescription(name="rougail", doc="Rougail", children=[option_1, option_2, option_3])
option_8 = SymLinkOption(name="name", opt=option_1)
option_9 = StrOption(name="source", doc="source", default="mailname")
option_10 = SymLinkOption(name="variable", opt=option_3)
option_7 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_6 = OptionDescription(name="mailname", doc="mailname", children=[option_8, option_9, option_10, option_7])
option_13 = SymLinkOption(name="name", opt=option_2)
option_14 = StrOption(name="source", doc="source", default="mailname2")
option_15 = SymLinkOption(name="variable", opt=option_3)
option_12 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_11 = OptionDescription(name="mailname2", doc="mailname2", children=[option_13, option_14, option_15, option_12])
optiondescription_11.impl_set_information('engine', "jinja")
optiondescription_5 = OptionDescription(name="files", doc="files", children=[optiondescription_6, optiondescription_11])
option_4 = BoolOption(name="activate", doc="activate", default=True)
option_16 = BoolOption(name="manage", doc="manage", default=True)
optiondescription_19 = OptionDescription(name="test_service", doc="test.service", children=[optiondescription_5, option_4, option_16])
optiondescription_19.impl_set_information('type', "service")
optiondescription_18 = OptionDescription(name="services", doc="services", children=[optiondescription_19], properties=frozenset({"hidden"}))
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_17, optiondescription_18])
